using System;
using System.Collections.Generic;
using System.Diagnostics.SymbolStore;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp4
{
    internal class Program
    {


        static void Main(string[] args)
        {



            int n = int.Parse(Console.ReadLine());

            int[] a = new int[n];
            int[] b = new int[n];

            List<int> aTemp1 = new List<int>();
            List<int> bTemp1 = new List<int>();
            List<int> aTemp2 = new List<int>();
            List<int> bTemp2 = new List<int>();
            for (int i = 1; i <= n; i++)
            {
                if (i % 2 == 0)
                {
                    bTemp1.Add(i);
                } else
                {
                    aTemp1.Add(i);
                }
            }

            for (int i = n * 2; i > n; i--)
            {
                if (i % 2 != 0)
                {
                    aTemp2.Add(i);
                }
            }

            for (int i = n + 1; i <= n * 2; i++)
            {
                if (i % 2 == 0)
                {

                    bTemp2.Add(i);
                }
            }


            // B
            for (int i = 0; i < n; i++)
            {
                if (i % 2 == 0)
                {
                    b[i] = bTemp2[i / 2];
                } else b[i] = bTemp1[i / 2];
            }


            // A
            for (int i = 0; i < n; i += 2)
            {
                a[i] = aTemp1[(aTemp1.Count - 1) - (i / 2)];
            }

            for (int i = 1; i < n; i += 2)
            {
                a[i] = aTemp2[(i / 2)];
            }
            string aOut = "";
            string bOut = "";
            foreach (int i in a)
            {
                aOut += i + " ";
                if (i % 1000 == 0)
                {
                    Console.Write(aOut);
                    aOut = "";
                }
            }

            Console.Write(aOut + "\n");

            foreach (int i in b)
            {
                bOut += i + " ";
                if (i % 1000 == 0)
                {
                    Console.Write(bOut);
                    bOut = "";
                }
            }
        }
    }
}